Fatal error in the request component

Hi Guys, I’ve received a fatal error message from wordpress. I followed the link to the page causing the issue but it just returns a blank page with a 0 in the top left corner.

I’ve checked through the website and can’t see any pages with errors or areas where the website isn’t working. Admin is working as expected. All plugins are upto date.

Steps to reproduce

List the steps to reproduce the issue.

Actual result

Describe the actual result.

Expected result

Describe the expected result.

Extra details

The error message is as follows:
When seeking help with this issue, you may be asked for some of the following information:
WordPress version 6.1.1
Active theme: ListingHive (version 1.2.6)
Current plugin: HivePress (version 1.6.16)
PHP version 8.0.27

Error Details

An error of type E_ERROR was caused in line 89 of the file /srv/htdocs/wp-content/plugins/hivepress/includes/components/class-request.php. Error message: Uncaught Error: Class “HivePress\Models\User” not found in /srv/htdocs/wp-content/plugins/hivepress/includes/components/class-request.php:89
Stack trace:
#0 /wordpress/core/6.1.1/wp-includes/class-wp-hook.php(308): HivePress\Components\Request->set_user(”)
#1 /wordpress/core/6.1.1/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array)
#2 /wordpress/core/6.1.1/wp-includes/plugin.php(517): WP_Hook->do_action(Array)
#3 /wordpress/core/6.1.1/wp-settings.php(617): do_action(‘init’)
#4 /srv/htdocs/wp-config.php(83): require_once(‘/wordpress/core…’)
#5 /wordpress/core/6.1.1/wp-load.php(55): require_once(‘/srv/htdocs/wp-…’)
#6 /wordpress/core/6.1.1/wp-admin/admin-ajax.php(22): require_once(‘/wordpress/core…’)
#7 {main}
thrown

Best regards,
Gavin

Gavin, make sure all your hivepress versions are updated. Did you recently add any plugin or code snippet? Try disabling it to see if that works.

By the way can you tell me which plugin are you using for the languages on the top of your menu? I am thinking of adding something like that to my website. Thanks!

1 Like

Hi Aqmiami7 and thanks for your response. I haven’t added any new plugins or code snippets for quite a while and all plugins are up to date.

The language plugin I’m using is Google language translator - Translate WordPress – Google Language Translator – WordPress plugin | WordPress.org

Hi,

Thank you for the detailed description of your error, the error logs shows that you do not have the latest version of HivePress extension, please try to update to the latest version and check if the error persists.

Thanks for your response Andrii. I have auto updates set and it isn’t showing an update is needed on the plugin. I also can’t see an option to update the plugin manually. Can you advise?

Please share more details about this issue, do you get this error when you perform specific actions, or on the request page? If so, does it occur with a specific request or with all request pages?

Any details may help to reproduce and resolve this issue.

Hi Ihor, I haven’t physically seen any issues presenting themselves so I can’t reproduce an issue. I just received the email but can’t trace it back. All request pages seem to be OK. Andrii mentioned that i don’t have the latest Hivepress version installed and this could be causing an issue but I can’t see where I’d update this. Please could you advise?

I’m on wordpress.com and not wordpress.org if that makes a difference…

Please check if there are any updates in Dashboard/Updates, if not then all the plugins are up-to-date. If you get this error report again, please try to reproduce the issue by performing the same actions, otherwise it’s not possible to track down and debug the issue.